package com.starbuds.server.api.family.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/1/7 15:14
 * @Description 家族审核记录
 */
@Data
public class FamilyAuditVO implements Serializable {

    /**
     * 主键
     */
    private Long auditId;
    /**
     * 家族id
     */
    private Long familyId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 申请时备注
     */
    private String applyMsg;
    /**
     * 申请时间
     */
    private Long applyTime;
    /**
     * 审核时间
     */
    private Long auditTime;
    /**
     * 审核状态
     */
    private Integer auditStatus;
    /**
     * 审核意见
     */
    private String auditMsg;
    /**
     * 审核人员id
     */
    private Long adminId;
    /**
     * 后台审核人员id
     */
    private Long maAdminId;
    /**
     * 申请类型
     */
    private Integer applyType;
    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 审核管理员姓名
     */
    private String adminName;
    /**
     * 审核管理员姓名
     */
    private String maAdminName;

    /**************用户信息****************/
    /**
     * 头像
     */
    private String userAvatar;
    /**
     * 性别
     */
    private Integer userSex;
    /**
     * 年龄
     */
    private Integer userAge;
    /**
     * 手机号
     */
    private String userPhone;
    /**
     * 星芽号
     */
    private String userNo;
    /**
     * 财富等级
     */
    private Integer wealthLevel;
    /**
     * 魅力等级
     */
    private Integer charmLevel;
    /**
     * 粉丝数量
     */
    private Integer fansCount;
    /**
     * 是否强制
     */
    private Integer isForce;

}
