package com.starbuds.server.api.family.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/12/14 16:51
 * @Description 家族用户
 */
@Data
public class FamilyUserVO implements Serializable {

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 家族id
     */
    private Long familyId;
    /**
     * 签约时间
     */
    private Long signTime;
    /**
     * 结束时间
     */
    private Long endTime;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 接通次数
     */
    private Integer connectTimes;
    /**
     * 匹配次数
     */
    private Integer matchTimes;
    /**
     * 接通率
     */
    private Double connectRate;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 用户头像
     */
    private String userAvatar;
    /**
     * 性别
     */
    private Integer userSex;
    /**
     * 星芽号
     */
    private Long userNo;
    /**
     * 手机号
     */
    private Long userPhone;
    /**
     * 财富值
     */
    private Integer wealthLevel;
    /**
     * 星耀值
     */
    private Integer starLevel;

}
