package com.starbuds.server.api.family.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/21 18:59
 * @Description 语音速配记录
 */
@Data
public class VoiceChatHisPageItem implements Serializable {

    /**
     * 记录id
     */
    private Long hisId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 目标用户id
     */
    private Long targetUserId;
    /**
     * 状态
     */
    private Integer hisStatus;
    /**
     * 价格类型
     */
    private Integer hisPriceType;
    /**
     * 价格
     */
    private Long hisPrice;
    /**
     * 更新时间
     */
    private Long hisUpdateTime;
    /**
     * 创建时间
     */
    private Long hisCreateTime;
    /**
     * 取消时间
     */
    private Long hisCancelTime;
    /**
     * 渠道号
     */
    private Long channelId;
    /**
     * 计费分钟数
     */
    private Integer hisMinutes;
    /**
     * 回放地址
     */
    private String hisReplay;
    /**
     * 记录 id
     */
    private String hisReplayId;

    private String hisResourceId;
    /**
     * 是否匹配模式
     */
    private Integer hisIsMatch;
    /**
     * 金币计费分钟数
     */
    private Integer hisCoinMinutes;
    /**
     * 时间钱包分钟数
     */
    private Integer hisTimeMinutes;
    /**
     * 匹配开始时间
     */
    private Long matchStartTime;
    /**
     * 匹配结束时间
     */
    private Long matchEndTime;
    /**
     * 开始时间
     */
    private Long hisStartTime;
    /**
     * 结束时间
     */
    private Long hisStopTime;
    /**
     * 停止原因
     */
    private Integer stopReason;
    /**
     * 用户性别
     */
    private Integer userSex;
    /**
     * 匹配过的用户
     */
    private String matchUserIds;

    /**
     * 用户名称
     */
    private String userName;
    /**
     * 对方用户名称
     */
    private String targetUserName;

}
