package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomCategoryVO;
import com.starbuds.server.common.pojo.api.PageList;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/23 09:58
 * @Description 语音房分类
 */
public interface FaRtcRoomCategoryService {

    /**
     * 获取分类列表
     *
     * @param categoryName
     * @param categoryStatus
     * @param pageNum
     * @param pageSize
     * @return
     */
    PageList<RtcRoomCategoryVO> getCategoryPageList(String categoryName, Integer categoryStatus, Integer businessType, int pageNum, int pageSize);
}
