package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.StatRtcRoomVO;
import com.starbuds.server.common.pojo.api.PageList;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/23 15:29
 * @Description 语音房统计
 */
public interface FaStatRtcRoomService {

    /**
     * 获取语音房统计
     *
     * @param pageIndex
     * @param pageSize
     * @param roomId
     * @param statType
     * @return
     */
    PageList<StatRtcRoomVO> getRoomStat(int pageIndex, int pageSize, Long roomId, Integer statType);
}
