package com.starbuds.server.api.family.common.service.admin;

import com.starbuds.server.api.family.common.pojo.admin.VoiceChatHisPageItem;
import com.starbuds.server.common.pojo.api.PageList;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/12/14 16:05
 * @Description 语音速配
 */
public interface FaVoiceChatService {

    /**
     * 获取语音速配聊天页面
     *
     * @param familyId
     * @param pageIndex
     * @param pageSize
     * @param hisStatus
     * @return
     */
    PageList<VoiceChatHisPageItem> getVoiceChatPageList(Long familyId, int pageIndex, int pageSize, Integer hisStatus);

}
