package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.RtcRoomRoleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/9 18:48
 * @Description 语聊房间角色
 */
@Mapper
@Repository
public interface RtcRoomRoleDAO {

    /**
     * 获取房间角色
     *
     * @param roomId
     * @return
     */
    List<RtcRoomRoleVO> selectByRoomId(@Param("roomId") Long roomId);

}
