package com.starbuds.server.api.family.service.admin.dao;

import com.starbuds.server.api.family.common.pojo.admin.VoiceChatHisPageItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/12/14 16:13
 * @Description 语音速配持久层
 */
@Mapper
@Repository
public interface VoiceChatHisDAO {

    /**
     * 获取列表
     *
     * @param familyId
     * @param pageCursor
     * @param pageSize
     * @param hisStatus
     * @return
     */
    List<VoiceChatHisPageItem> selectVoiceChatPageList(@Param("familyId") Long familyId, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("hisStatus") Integer hisStatus);

    /**
     * 获取列表大小
     *
     * @param familyId
     * @param hisStatus
     * @return
     */
    int countVoiceChatPageList(@Param("familyId") Long familyId, @Param("hisStatus") Integer hisStatus);
}
