package com.starbuds.server.api.family.service.admin.impl;

import com.starbuds.server.api.family.common.pojo.admin.StatRtcRoomVO;
import com.starbuds.server.api.family.common.service.admin.FaStatRtcRoomService;
import com.starbuds.server.api.family.service.admin.dao.StatRtcRoomDAO;
import com.starbuds.server.common.constant.statistics.StatTimeType;
import com.starbuds.server.common.pojo.api.PageList;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/23 15:30
 * @Description
 */
@Service
public class FaStatRtcRoomServiceImpl implements FaStatRtcRoomService {

    @Resource
    StatRtcRoomDAO statRtcRoomDAO;

    @Override
    public PageList<StatRtcRoomVO> getRoomStat(int pageIndex, int pageSize, Long roomId, Integer statType) {
        PageList<StatRtcRoomVO> page = new PageList<>(pageIndex, pageSize);
        page.setList(statRtcRoomDAO.selectPageList(page.getPageCursor(), pageSize, roomId, StatTimeType.YEAR_MONTH_DAY, statType));
        page.setTotal(statRtcRoomDAO.countPageList(roomId, StatTimeType.YEAR_MONTH_DAY, statType));
        return page;
    }
}
