package com.starbuds.server.api.family.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/16 18:19
 * @Description 技能认证审核
 */
@Data
public class FamilySkillAuditVO implements Serializable {

    /**
     * 审核记录id
     */
    private Long auditId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 家族id
     */
    private Long familyId;
    /**
     * 技能id
     */
    private Long skillId;
    /**
     * 技能标签id
     */
    private Long skillTagId;
    /**
     * 技能介绍
     */
    private String skillIntro;
    /**
     * 上传图片
     */
    private String images;
    /**
     * 录制语音
     */
    private String voice;
    /**
     * 语音时长
     */
    private Long duration;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 审核状态
     */
    private Integer auditStatus;
    /**
     * 管理员id
     */
    private Long adminId;
    /**
     * 管理员
     */
    private String adminName;
    /**
     * 管理员id
     */
    private Long maAdminId;
    /**
     * 后台管理员
     */
    private String maAdminName;
    /**
     * 审核说明
     */
    private String auditMsg;
    /**
     * 审核时间
     */
    private Long auditTime;

    /**
     * 用户名
     */
    private String userName;
    /**
     * 技能名称
     */
    private String skillName;
    /**
     * 技能标签名称
     */
    private String skillTagName;

}
