package com.starbuds.server.api.family.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 多人直播间
 *
 * @author JDBuilder
 */
@Data
public class RtcRoomVO implements Serializable {
    /**
     * 房间ID
     */
    private Long roomId;
    /**
     * 创建者
     */
    private Long userId;
    /**
     * 房间类型
     */
    private Integer roomType;
    /**
     * 房间号
     */
    private Long roomNo;
    /**
     * 房间名
     */
    private String roomName;
    /**
     * 房间分类
     */
    private Long categoryId;
    /**
     * 房间标题
     */
    private String roomTitle;
    /**
     * 房间封面
     */
    private String roomCover;
    /**
     * 房间背景
     */
    private Integer backgroundId;
    /**
     * 房间规则
     */
    private String roomRule;
    /**
     * 欢迎语
     */
    private String roomWelcome;
    /**
     * 房间锁密码
     */
    private String roomLockPass;
    /**
     * 是否自由上麦
     */
    private Integer roomMicFree;
    /**
     * 心动值开关
     */
    private Integer roomScoreEnabled;
    /**
     * 公屏开关
     */
    private Integer roomChatEnabled;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Long roomCreateTime;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 角色
     */
    private List<RtcRoomRoleVO> roomRoleList;
    /**
     * 分类名称
     */
    private String categoryName;
    /**
     * 房间背景
     */
    private String backgroundUrl;
    /**
     * 热门开关
     */
    private Integer hotEnable;

    /**
     * 家族id
     */
    private Long familyId;

    /**
     * 家族名称
     */
    private String familyName;
    /**
     * 横图封面
     */
    private String roomHorizontalCover;

    /**
     * 房间类型
     */
    private Integer businessType;

}